using Turing.Model;

class Program
{
    private static void Main(string[] args)
    {
        Console.WriteLine("Turing");

        try
        {
            var stanMaszyny = StanMaszyny.Load("taśma.txt");
            Console.WriteLine($"Taśma: {stanMaszyny.Taśma}");
            Console.WriteLine($"Stan głowicy: {stanMaszyny.StanGłowicy}");
        }
        catch (Exception exc) 
        {
            Console.Error.WriteLine("Błąd przy próbie wczytania taśmy: " + exc.Message);
        }
    }
}
